<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_gravity="center_vertical"
    android:background="@drawable/app_background"
    tools:context=".screen.main.MainFragment">

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/top_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="@fraction/guide_top" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/center_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.5" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/left_center_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.39" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/right_center_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.61" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/bottom_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="@fraction/guide_bottom" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/left_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="@fraction/guide_left" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/right_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="@fraction/guide_right" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/middle_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.5" />

    <ImageView
        android:id="@+id/img_dashboard"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="4dp"
        android:layout_marginEnd="4dp"
        android:adjustViewBounds="true"
        android:scaleType="fitXY"
        android:src="@drawable/ic_bg_dashboard"
        app:layout_constraintBottom_toBottomOf="@id/v_space_dashboard"
        app:layout_constraintEnd_toStartOf="@id/right_guideline"
        app:layout_constraintStart_toStartOf="@id/left_guideline"
        app:layout_constraintTop_toBottomOf="@id/top_guideline" />

    <View
        android:id="@+id/v_space_dashboard"
        android:layout_width="0dp"
        android:layout_height="4dp"
        app:layout_constraintEnd_toStartOf="@id/right_guideline"
        app:layout_constraintStart_toStartOf="@id/left_guideline"
        app:layout_constraintTop_toBottomOf="@id/v_result_show" />

    <View
        android:id="@+id/tv_table"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_marginStart="12dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="12dp"
        android:background="@drawable/bg_table_header"
        android:gravity="center"
        android:textAlignment="center"
        app:layout_constraintEnd_toStartOf="@+id/right_guideline"
        app:layout_constraintStart_toStartOf="@+id/left_guideline"
        app:layout_constraintTop_toBottomOf="@+id/v_space_dashboard" />

    <ImageView
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:adjustViewBounds="true"
        android:paddingTop="8dp"
        android:paddingBottom="8dp"
        android:scaleType="fitXY"
        android:src="@drawable/text_table_title"
        app:layout_constraintBottom_toBottomOf="@+id/tv_table"
        app:layout_constraintEnd_toEndOf="@+id/tv_table"
        app:layout_constraintStart_toStartOf="@+id/tv_table"
        app:layout_constraintTop_toTopOf="@+id/tv_table"

        />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rvCurrentBetting"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="2dp"
        android:layout_marginEnd="2dp"
        android:background="@drawable/bg_recyclerview"
        android:paddingBottom="8dp"
        app:layout_constraintBottom_toTopOf="@id/bottom_guideline"
        app:layout_constraintEnd_toEndOf="@id/tv_table"
        app:layout_constraintStart_toStartOf="@id/tv_table"
        app:layout_constraintTop_toBottomOf="@id/tv_table"
        tools:listitem="@layout/item_table_holder" />

    <ImageView
        android:id="@+id/tv_game_label"
        android:layout_width="wrap_content"
        android:layout_height="19dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="4dp"
        android:layout_marginEnd="4dp"
        android:adjustViewBounds="true"
        android:scaleType="fitXY"
        android:src="@drawable/text_game_id"
        app:layout_constraintBottom_toTopOf="@+id/v1"
        app:layout_constraintEnd_toStartOf="@+id/tv_game_number"
        app:layout_constraintStart_toStartOf="@+id/img_dashboard"
        app:layout_constraintTop_toTopOf="@+id/img_dashboard" />

    <TextView
        android:id="@+id/tv_game_number"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:paddingBottom="2dp"
        android:textColor="@color/color_white"
        android:textSize="16sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/tv_game_label"
        app:layout_constraintStart_toEndOf="@+id/tv_game_label"
        app:layout_constraintTop_toTopOf="@+id/img_dashboard"
        tools:text="1127#30880 14:01" />

    <TextView
        android:id="@+id/tv_bonus"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:singleLine="true"
        android:textColor="@color/color_yellow_800"
        android:textStyle="bold"
        app:autoSizeMaxTextSize="16sp"
        app:autoSizeMinTextSize="10sp"
        app:autoSizeTextType="uniform"
        app:layout_constraintBottom_toBottomOf="@+id/tv_game_number"
        app:layout_constraintEnd_toStartOf="@+id/tv_result_label"
        app:layout_constraintStart_toEndOf="@+id/tv_game_number"
        app:layout_constraintTop_toTopOf="@+id/tv_game_number"
        tools:text="4(+2)" />

    <ImageView
        android:id="@+id/tv_result_label"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:adjustViewBounds="true"
        android:scaleType="fitXY"
        android:src="@drawable/text_result_label"
        app:layout_constraintBottom_toBottomOf="@+id/tv_game_label"
        app:layout_constraintEnd_toStartOf="@+id/tv_result_number"
        app:layout_constraintTop_toTopOf="@+id/tv_game_label" />

    <TextView
        android:id="@+id/tv_result_number"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="4dp"
        android:gravity="center"
        android:paddingBottom="2dp"
        android:textColor="@color/color_white"
        android:textSize="16sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@id/tv_game_number"
        app:layout_constraintEnd_toEndOf="@+id/img_dashboard"
        app:layout_constraintTop_toTopOf="@+id/tv_game_number"
        tools:text="788" />

    <com.khmer9.kdmain.view.ResultView
        android:id="@+id/v_big_small"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="2dp"
        android:layout_marginEnd="8dp"
        android:layout_marginBottom="6dp"
        app:layout_constraintBottom_toBottomOf="@id/v_result_show"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintStart_toStartOf="@id/v16"
        app:layout_constraintTop_toTopOf="@+id/v_result_show" />

    <View
        android:id="@+id/v_result_show"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_marginTop="4dp"
        android:background="@drawable/bg_result"
        app:layout_constraintEnd_toStartOf="@+id/right_center_guideline"
        app:layout_constraintStart_toStartOf="@+id/left_center_guideline"
        app:layout_constraintTop_toBottomOf="@id/v16" />

    <TextView
        android:id="@+id/tv_result_show"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:gravity="center"
        android:paddingStart="8dp"
        android:paddingEnd="8dp"
        android:textAlignment="center"
        android:textColor="@color/color_white"
        android:textStyle="bold"
        app:autoSizeTextType="uniform"
        app:layout_constraintBottom_toBottomOf="@+id/v_result_show"
        app:layout_constraintEnd_toEndOf="@+id/v_result_show"
        app:layout_constraintStart_toStartOf="@+id/v_result_show"
        app:layout_constraintTop_toTopOf="@id/v_result_show"
        tools:text="788" />


    <com.khmer9.kdmain.view.ResultView
        android:id="@+id/v_range"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="8dp"
        android:layout_marginTop="2dp"
        android:layout_marginEnd="8dp"
        android:layout_marginBottom="6dp"
        app:layout_constraintBottom_toBottomOf="@id/v_result_show"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@id/v20"
        app:layout_constraintTop_toTopOf="@+id/v_result_show" />
    <!--    row1-->


    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v1"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="4dp"
        app:layout_constraintBottom_toTopOf="@+id/v6"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toStartOf="@+id/v2"
        app:layout_constraintStart_toStartOf="@id/img_dashboard"
        app:layout_constraintTop_toBottomOf="@id/tv_game_number" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v2"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v1"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toStartOf="@+id/v3"
        app:layout_constraintStart_toEndOf="@id/v1"
        app:layout_constraintTop_toTopOf="@id/v1" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v3"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v2"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toStartOf="@+id/v4"
        app:layout_constraintStart_toEndOf="@id/v2"
        app:layout_constraintTop_toTopOf="@id/v2" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v4"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v3"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toStartOf="@+id/v5"
        app:layout_constraintStart_toEndOf="@id/v3"
        app:layout_constraintTop_toTopOf="@id/v3" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v5"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginEnd="4dp"
        app:layout_constraintBottom_toBottomOf="@+id/v4"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@id/img_dashboard"
        app:layout_constraintStart_toEndOf="@id/v4"
        app:layout_constraintTop_toTopOf="@id/v4" />
    <!--    row2-->

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v6"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@+id/v11"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@+id/v1"
        app:layout_constraintStart_toStartOf="@id/v1"
        app:layout_constraintTop_toBottomOf="@id/v1" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v7"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v6"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@+id/v2"
        app:layout_constraintStart_toStartOf="@id/v2"
        app:layout_constraintTop_toTopOf="@id/v6" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v8"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v7"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@+id/v3"
        app:layout_constraintStart_toStartOf="@id/v3"
        app:layout_constraintTop_toTopOf="@id/v7" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v9"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v8"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@+id/v4"
        app:layout_constraintStart_toStartOf="@id/v4"
        app:layout_constraintTop_toTopOf="@id/v8" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v10"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v9"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@id/v5"
        app:layout_constraintStart_toStartOf="@id/v5"
        app:layout_constraintTop_toTopOf="@id/v9" />
    <!--    row3-->

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v11"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@+id/v16"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@+id/v6"
        app:layout_constraintStart_toStartOf="@id/v6"
        app:layout_constraintTop_toBottomOf="@id/v6" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v12"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v11"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@+id/v7"
        app:layout_constraintStart_toStartOf="@id/v7"
        app:layout_constraintTop_toTopOf="@id/v11" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v13"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v12"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@+id/v8"
        app:layout_constraintStart_toStartOf="@id/v8"
        app:layout_constraintTop_toTopOf="@id/v12" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v14"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v13"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@+id/v9"
        app:layout_constraintStart_toStartOf="@id/v9"
        app:layout_constraintTop_toTopOf="@id/v13" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v15"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v14"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@id/v10"
        app:layout_constraintStart_toStartOf="@id/v10"
        app:layout_constraintTop_toTopOf="@id/v14" />

    <!--    row4-->

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v16"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginBottom="4dp"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@+id/v11"
        app:layout_constraintStart_toStartOf="@id/v11"
        app:layout_constraintTop_toBottomOf="@id/v11" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v17"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v16"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@+id/v12"
        app:layout_constraintStart_toStartOf="@id/v12"
        app:layout_constraintTop_toTopOf="@id/v16" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v18"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v17"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@+id/v13"
        app:layout_constraintStart_toStartOf="@id/v13"
        app:layout_constraintTop_toTopOf="@id/v17" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v19"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v18"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@+id/v14"
        app:layout_constraintStart_toStartOf="@id/v14"
        app:layout_constraintTop_toTopOf="@id/v18" />

    <com.khmer9.kdmain.view.LottoView
        android:id="@+id/v20"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/v19"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@id/v15"
        app:layout_constraintStart_toStartOf="@id/v15"
        app:layout_constraintTop_toTopOf="@id/v19" />
    <!--Bottom Button-->
    <com.khmer9.kdmain.view.SettingButtonView
        android:id="@+id/btn_result"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        app:bgDrawable="@drawable/bg_btn_play_result"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintDimensionRatio="3.04:1"
        app:layout_constraintEnd_toStartOf="@+id/center_guideline"
        app:layout_constraintStart_toStartOf="@+id/rvCurrentBetting"
        app:layout_constraintTop_toBottomOf="@+id/bottom_guideline"
        app:textIcon="@drawable/text_result" />

    <com.khmer9.kdmain.view.SettingButtonView
        android:id="@+id/btn_play"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        app:bgDrawable="@drawable/bg_btn_play_result"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintDimensionRatio="3.04:1"
        app:layout_constraintEnd_toEndOf="@+id/rvCurrentBetting"
        app:layout_constraintStart_toStartOf="@+id/center_guideline"
        app:layout_constraintTop_toBottomOf="@+id/bottom_guideline"
        app:textIcon="@drawable/text_play" />

    <View
        android:id="@+id/v_frame_play"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="#66000000"
        android:visibility="invisible"
        app:layout_constraintBottom_toBottomOf="@id/btn_play"
        app:layout_constraintEnd_toEndOf="@+id/btn_play"
        app:layout_constraintStart_toStartOf="@id/btn_play"
        app:layout_constraintTop_toTopOf="@+id/btn_play" />


    <androidx.constraintlayout.widget.Group
        android:id="@+id/group_lotto"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="invisible"
        app:constraint_referenced_ids="v1,v2,v3,v4,v5,v6,v7,v8,v9,v10,v11,v12,v13,v14,v15,v16,v17,v18,v19,v20,tv1,tv2,tv3,tv4,tv5,tv6,tv7,tv8,tv9,tv10,tv11,tv12,tv13,tv14,tv15,tv16,tv17,tv18,tv19,tv20" />
    <!--    lotto tv Number-->
    <TextView
        android:id="@+id/tv1"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v1"
        app:layout_constraintEnd_toEndOf="@+id/v1"
        app:layout_constraintStart_toStartOf="@+id/v1"
        app:layout_constraintTop_toTopOf="@+id/v1" />

    <TextView
        android:id="@+id/tv2"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v2"
        app:layout_constraintEnd_toEndOf="@+id/v2"
        app:layout_constraintStart_toStartOf="@+id/v2"
        app:layout_constraintTop_toTopOf="@+id/v2" />

    <TextView
        android:id="@+id/tv3"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v3"
        app:layout_constraintEnd_toEndOf="@+id/v3"
        app:layout_constraintStart_toStartOf="@+id/v3"
        app:layout_constraintTop_toTopOf="@+id/v3" />

    <TextView
        android:id="@+id/tv4"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v4"
        app:layout_constraintEnd_toEndOf="@+id/v4"
        app:layout_constraintStart_toStartOf="@+id/v4"
        app:layout_constraintTop_toTopOf="@+id/v4" />

    <TextView
        android:id="@+id/tv5"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v5"
        app:layout_constraintEnd_toEndOf="@+id/v5"
        app:layout_constraintStart_toStartOf="@+id/v5"
        app:layout_constraintTop_toTopOf="@+id/v5" />

    <TextView
        android:id="@+id/tv6"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v6"
        app:layout_constraintEnd_toEndOf="@+id/v6"
        app:layout_constraintStart_toStartOf="@+id/v6"
        app:layout_constraintTop_toTopOf="@+id/v6" />

    <TextView
        android:id="@+id/tv7"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v7"
        app:layout_constraintEnd_toEndOf="@+id/v7"
        app:layout_constraintStart_toStartOf="@+id/v7"
        app:layout_constraintTop_toTopOf="@+id/v7" />

    <TextView
        android:id="@+id/tv8"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v8"
        app:layout_constraintEnd_toEndOf="@+id/v8"
        app:layout_constraintStart_toStartOf="@+id/v8"
        app:layout_constraintTop_toTopOf="@+id/v8" />

    <TextView
        android:id="@+id/tv9"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v9"
        app:layout_constraintEnd_toEndOf="@+id/v9"
        app:layout_constraintStart_toStartOf="@+id/v9"
        app:layout_constraintTop_toTopOf="@+id/v9" />

    <TextView
        android:id="@+id/tv10"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v10"
        app:layout_constraintEnd_toEndOf="@+id/v10"
        app:layout_constraintStart_toStartOf="@+id/v10"
        app:layout_constraintTop_toTopOf="@+id/v10" />

    <TextView
        android:id="@+id/tv11"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v11"
        app:layout_constraintEnd_toEndOf="@+id/v11"
        app:layout_constraintStart_toStartOf="@+id/v11"
        app:layout_constraintTop_toTopOf="@+id/v11" />

    <TextView
        android:id="@+id/tv12"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v12"
        app:layout_constraintEnd_toEndOf="@+id/v12"
        app:layout_constraintStart_toStartOf="@+id/v12"
        app:layout_constraintTop_toTopOf="@+id/v12" />

    <TextView
        android:id="@+id/tv13"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v13"
        app:layout_constraintEnd_toEndOf="@+id/v13"
        app:layout_constraintStart_toStartOf="@+id/v13"
        app:layout_constraintTop_toTopOf="@+id/v13" />

    <TextView
        android:id="@+id/tv14"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v14"
        app:layout_constraintEnd_toEndOf="@+id/v14"
        app:layout_constraintStart_toStartOf="@+id/v14"
        app:layout_constraintTop_toTopOf="@+id/v14" />

    <TextView
        android:id="@+id/tv15"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v15"
        app:layout_constraintEnd_toEndOf="@+id/v15"
        app:layout_constraintStart_toStartOf="@+id/v15"
        app:layout_constraintTop_toTopOf="@+id/v15" />

    <TextView
        android:id="@+id/tv16"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v16"
        app:layout_constraintEnd_toEndOf="@+id/v16"
        app:layout_constraintStart_toStartOf="@+id/v16"
        app:layout_constraintTop_toTopOf="@+id/v16" />

    <TextView
        android:id="@+id/tv17"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v17"
        app:layout_constraintEnd_toEndOf="@+id/v17"
        app:layout_constraintStart_toStartOf="@+id/v17"
        app:layout_constraintTop_toTopOf="@+id/v17" />

    <TextView
        android:id="@+id/tv18"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v18"
        app:layout_constraintEnd_toEndOf="@+id/v18"
        app:layout_constraintStart_toStartOf="@+id/v18"
        app:layout_constraintTop_toTopOf="@+id/v18" />

    <TextView
        android:id="@+id/tv19"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v19"
        app:layout_constraintEnd_toEndOf="@+id/v19"
        app:layout_constraintStart_toStartOf="@+id/v19"
        app:layout_constraintTop_toTopOf="@+id/v19" />

    <TextView
        android:id="@+id/tv20"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="4dp"
        android:background="@drawable/ic_logo"
        android:gravity="center"
        android:shadowColor="#ffffff"
        android:shadowDx="1.5"
        android:shadowDy="1.3"
        android:shadowRadius="1.6"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/v20"
        app:layout_constraintEnd_toEndOf="@+id/v20"
        app:layout_constraintStart_toStartOf="@+id/v20"
        app:layout_constraintTop_toTopOf="@+id/v20" />
    <!--lotto tv number end-->
    <ImageView
        android:id="@+id/iv_big_logo"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="8dp"
        android:adjustViewBounds="true"
        android:scaleType="fitXY"
        android:src="@drawable/ic_logo_big"
        android:visibility="invisible"
        app:layout_constraintBottom_toBottomOf="@id/v20"
        app:layout_constraintEnd_toStartOf="@+id/v_range"
        app:layout_constraintStart_toEndOf="@+id/v_big_small"
        app:layout_constraintTop_toTopOf="@+id/v1" />

    <nl.dionsegijn.konfetti.KonfettiView
        android:id="@+id/viewKonfetti"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />


</androidx.constraintlayout.widget.ConstraintLayout>